#!/bin/bash
# Copyright (c) 2016-2018 Synology Inc. All rights reserved.

if ! synopkg status Virtualization; then
	exit 0
fi

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool
TYPE="$1"
MASTER="$2"
SLAVES="$3"

if [ "${TYPE}" = "ovs" ]; then
	$SYNOCCCTOOL_BINARY --bond-create-fcheck-cannot-transfer "${SLAVES}" || exit 1
fi
exit 0
