#!/bin/sh
# Copyright (c) 2018 Synology Inc. All rights reserved.

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool
OLD_HOSTNAME="$1"
NEW_HOSTNAME="$2"

if [ "yes" != "`/bin/get_key_value /usr/syno/etc/ccc/cccinfo.conf runccc`" ]; then
	logger -t synoccc -p err "runccc not enabled, skip hostname feasibility check"
	exit 0
fi

if ! synopkg status Virtualization; then
	exit 0
fi

$SYNOCCCTOOL_BINARY --hostname-feasibility-check "${OLD_HOSTNAME}" "${NEW_HOSTNAME}" || exit 1
exit 0
