#!/bin/bash
# Copyright (c) 2018 Synology Inc. All rights reserved.

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool

if ! synopkg status Virtualization; then
		logger -p user.warn -t synoccc "Skip poweroff feasibility check."
		exit 0
fi

if [ -e ${SYNOCCCTOOL_BINARY} ]; then
		$SYNOCCCTOOL_BINARY --poweroff-task-fcheck || exit 1
fi
exit 0
