#!/bin/sh
# Copyright (c) 2016 Synology Inc. All rights reserved.

/var/packages/Virtualization/target/bin/synocccguest -s
RET=$?

if [ "0" -eq "$RET" ]; then
	logger -p err "No guests running"
else
	logger -p err "Guests running $RET"
fi

if [ "2" -eq "$RET" ]; then
	if [ "switchover" == "$1" ]; then
		logger -p err "SHA switchover"
		RET=1
	else
		logger -p err "poweroff or suspend, no warnning"
		RET=0
	fi
fi

exit $RET
