#!/bin/sh
# Copyright (c) 2017 Synology Inc. All rights reserved.

if ! synopkg status Virtualization; then
	logger -p user.warn -t synoccc "Skip Virtualization account logout feasibility check."
	exit 0
fi

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool

$SYNOCCCTOOL_BINARY --logout-feasibility-check || exit 1
exit 0
