#!/bin/sh
# Copyright (c) 2016 Synology Inc. All rights reserved.

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool
VOLUME_PATH="$1"

if ! synopkg status Virtualization; then
	RUN_CCC=`/bin/get_key_value /usr/syno/etc/ccc/cccinfo.conf runccc` || true
	if [ "yes" != "$RUN_CCC" ]; then
		exit 0
	fi
	if [ -e ${VOLUME_PATH}/@appstore/Virtualization ]; then
		exit 1
	fi
	exit 0
fi

if [ -e ${SYNOCCCTOOL_BINARY} ]; then
	$SYNOCCCTOOL_BINARY --volume-delete-fcheck-pkg "${VOLUME_PATH}" || exit 1
fi
exit 0
