#!/bin/sh
# Copyright (c) 2016 Synology Inc. All rights reserved.

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool
VOLUME_PATH="$1"

if ! synopkg status Virtualization; then
	RUN_CCC=`/bin/get_key_value /usr/syno/etc/ccc/cccinfo.conf runccc` || true
	if [ "yes" != "$RUN_CCC" ]; then
		exit 0
	fi
	if [ -e ${VOLUME_PATH}/vdsm_repo.conf ]; then
		exit 1
	fi
	exit 0
fi

$SYNOCCCTOOL_BINARY --volume-delete-feasibility-check "${VOLUME_PATH}" || exit 1
exit 0
