#!/bin/sh
# Copyright (c) 2018 Synology Inc. All rights reserved.

if ! synopkg status Virtualization; then
	exit 0
fi

/var/packages/Virtualization/target/bin/synocccguest -s
RET=$?

if [ 0 -eq $RET ]; then
	logger -p err -t "Virtual Machine Manager" "No guests running"
else
	logger -p err -t "Virtual Machine Manager" "Guests running"
fi

exit $RET
