BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS gsnap_meta(gsnap_id TEXT PRIMARY KEY, tag TEXT, desc TEXT, is_user_locked INTEGER, cw_type INTEGER, gsnap_time INTEGER, status TINYINT);
CREATE TABLE IF NOT EXISTS target_snap_list(target_type TINYINT, target_id TEXT, tsnap_id TEXT, gsnap_id TEXT, FOREIGN KEY (gsnap_id) REFERENCES gsnap_meta(gsnap_id), PRIMARY KEY (target_type, target_id, tsnap_id));
CREATE TABLE IF NOT EXISTS target_replica_list(src_target_id TEXT, dst_target_id TEXT, gsnap_id TEXT, FOREIGN KEY (gsnap_id) REFERENCES gsnap_meta(gsnap_id), PRIMARY KEY (gsnap_id, src_target_id));
CREATE TABLE IF NOT EXISTS db_ver (value INTEGER);
DELETE FROM db_ver;
INSERT INTO db_ver (value) VALUES (3);
COMMIT TRANSACTION;
