BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS guest_conf(gsnap_id TEXT PRIMARY KEY, name TEXT, vcpu_num TINYINT, cpu_passthru TINYINT, vram_size INTEGER, video_card TEXT, repository_id TEXT, usb_version INTEGER, use_ovmf BOOLEAN, statevalue TINYINT, version TEXT, desc TEXT, hyperv_enlighten TINYINT, build_timestamp INTEGER, auto_switch TINYINT, autorun TINYINT, boot_from TEXT, kb_layout TEXT, cpu_pin_num INTERGER, cpu_weight INTEGER);
CREATE TABLE IF NOT EXISTS guest_disk(gsnap_id TEXT, vdisk_id TEXT, blun_id TEXT, idx INTEGER, type INTEGER, format INTEGER, minor_id INTEGER, vdisk_mode INTEGER, is_dummy TINYINT, unmap BOOLEAN, is_meta_disk BOOLEAN, size UNSIGNED BIG INT, PRIMARY KEY (gsnap_id, vdisk_id), FOREIGN KEY (gsnap_id) REFERENCES guest_conf (gsnap_id));
CREATE TABLE IF NOT EXISTS guest_nic(gsnap_id TEXT, idx INTEGER, mac_address TEXT, network_group_id TEXT, prefer_sriov INTEGER, vnic_type INTEGER, PRIMARY KEY (gsnap_id, idx), FOREIGN KEY (gsnap_id) REFERENCES guest_conf (gsnap_id));

CREATE TABLE IF NOT EXISTS db_ver (value INTEGER);
DELETE FROM db_ver;
INSERT INTO db_ver (value) VALUES (14);
COMMIT TRANSACTION;
