#!/bin/bash
# Copyright (c) 2016-2018 Synology Inc. All rights reserved.

if ! synopkg status Virtualization; then
	exit 0
fi

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool
TYPE="$1"
MASTER="$2"
SLAVES="$3"
Use_DHCP="$4"
IP="$5"
Netmask="$6"

# return
#  0: cluster not enable or no remote guest running
#  -1: error
#   1: remote guest running
$SYNOCCCTOOL_BINARY --is-remote-guest-running "$MASTER" "$SLAVES" || exit 1
exit 0
