#!/bin/sh
# Copyright (c) 2019 Synology Inc. All rights reserved.

if [[ $@ == *"ReplicationService"*  ]]; then
	package_name="ReplicationService"
else
	exit 0
fi

/var/packages/Virtualization/target/bin/synocccguest -s
RET=$?

if [ "1" -eq "$RET" ]; then
    logger -p err "$package_name install check: Guests running"
    exit 1
elif [ "2" -eq "$RET" ]; then
    logger -p err "$package_name install check: Guests running but have set shutdown behavior"
    exit 1
else
    logger -p err "$package_name install check: No guests running"
    exit 0
fi
