#!/bin/bash
# Copyright (c) 2018 Synology Inc. All rights reserved.

SYNOCCCTOOL_BINARY=/var/packages/Virtualization/target/bin/synoccctool

if [[ $@ != *"Virtualization"* ]]; then
	exit 0
fi

if ! synopkg status Virtualization; then
	logger -p user.warn -t synoccc "Skip Virtualization package uninstall feasibility check."
	exit 0
fi

if [ -e ${SYNOCCCTOOL_BINARY} ]; then
	$SYNOCCCTOOL_BINARY --vmm-uninstall-pkg Virtualization || exit 1
fi
exit 0
